header
LEGO Harry Potter: Years 5-7
LEGO Harry Potter: Years 5-7 cover
Release date: 2011. November 21.
Genre: Action, Adventure
Developer: Traveller's Tales
Publisher: Warner Bros. Interactive Entertainment

LEGO Harry Potter: Years 5-7 System Requirements

Minimum system requirements:

CPU:
Dual Core CPU @ 2GHz (Pentium D or better)
RAM:
1GB RAM
GPU:
Shader Model 3 graphics card (NVIDIA GeForce 6800, 7800, 8xxx or better; ATI X1950 or better)
OS:
Windows XP SP3 Vista or Windows 7
STO:
8.5 GB free HDD space
There are only official system requirements on the site which are released by developers or an official publisher.
Can you run it?
Compare the system requirements with a configuration you can add below.
Similar games:
Miles & KiloROGAN: The Thief in the CastlePrince of Persia: The Two ThronesNARUTO SHIPPUDEN: Ultimate Ninja STORM 2The MISSING: J.J. Macfield and the Island of MemoriesNekuia
Comments
Please login to post a comment.
No comments have been posted. Be the first to comment!


Forgotten passwordRegister